Package com.enonic.xp.node

## Class NodeVersion

- java.lang.Object
- - com.enonic.xp.node.NodeVersion

-     @PublicApi
      public class NodeVersion
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeVersion.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeVersion.Builder` | `create()` |
    `static NodeVersion.Builder` | `create​(NodeVersion source)` |
    `boolean` | `equals​(Object o)` |
    `static NodeVersion` | `from​(Node node)` |
    `AttachedBinaries` | `getAttachedBinaries()` |
    `ChildOrder` | `getChildOrder()` |
    `PropertyTree` | `getData()` |
    `NodeId` | `getId()` |
    `IndexConfigDocument` | `getIndexConfigDocument()` |
    `Long` | `getManualOrderValue()` |
    `NodeType` | `getNodeType()` |
    `AccessControlList` | `getPermissions()` |
    `int` | `hashCode()` |
    `boolean` | `isInheritPermissions()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### from

          public static NodeVersion from​(Node node)

    - #### getId

          public NodeId getId()

    - #### getNodeType

          public NodeType getNodeType()

    - #### getData

          public PropertyTree getData()

    - #### getIndexConfigDocument

          public IndexConfigDocument getIndexConfigDocument()

    - #### getChildOrder

          public ChildOrder getChildOrder()

    - #### getManualOrderValue

          public Long getManualOrderValue()

    - #### getPermissions

          public AccessControlList getPermissions()

    - #### isInheritPermissions

          public boolean isInheritPermissions()

    - #### getAttachedBinaries

          public AttachedBinaries getAttachedBinaries()

    - #### create

          public static NodeVersion.Builder create()

    - #### create

          public static NodeVersion.Builder create​(NodeVersion source)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`